Artbox Core
===============================

Artbox Core is a core extension of light-weight CMS developed by Artweb written with 
[Yii 2 framework](http://www.yiiframework.com/).

Core extension includes functionality for app Internationalization, basic SEO optimization, 
feedback, image manipulation, user data and static pages control. Also provides events
notifications.

This extension is enough to develop landings or small websites with static pages.

To prepare your application you should run migrations:

    php yii migrate --migationPath=vendor/artweb/artbox-core/migrations
    
DIRECTORY STRUCTURE
-------------------

```
assets                   contains AssetBundles
behaviors                contains Behaviors classes
components               contains custom Classes, which don't belong to other groups
controllers              contains controllers for core models
helpers                  contains helper classes to manipulate, for example static files
                         and HTML
messages                 contains translations for core strings
migrations               contains migrations, which should be applied after extension
                         installation
models                   contains core models
views                    contains views files for core controllers
web                      contains assets and other files, which should be web available
widgets                  contains widgets
```
