<?php
    
    namespace artbox\odoo\components;
    
    use yii\base\Configurable;
    use yii\base\Object;
    
    class QueryBuilder extends Object implements Configurable
    {
        protected $db;
        
        public function __construct(Connection $connection, array $config = [])
        {
            $this->db = $connection;
            parent::__construct($config);
        }
        
        public function setConnection(Connection $connection)
        {
            $this->db = $connection;
        }
        
        public function getConnection(): Connection
        {
            return $this->db;
        }
        
    }