<?php
    
    namespace artbox\odoo\models;
    
    /**
     * Order class to work with Odoo
     *
     * @property \artbox\odoo\models\OdooToOrder $odooToOrder
     */
    class Order extends \artbox\order\models\Order
    {
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getOdooToOrder()
        {
            return $this->hasOne(OdooToOrder::className(), [ 'order_id' => 'id' ])
                        ->inverseOf('order');
        }
    }
