<?php
    
    namespace artbox\odoo\assets;
    
    use yii\web\AssetBundle;
    
    /**
     * Asset class for artbox-core
     */
    class ArtboxOdooAsset extends AssetBundle
    {
        /**
         * @inheritdoc
         */
        public $sourcePath = '@artbox/odoo/web';
        
        /**
         * @inheritdoc
         */
        public $css = [];
        
        /**
         * @inheritdoc
         */
        public $js = [
            'js/script.js',
        ];
        
        public $depends = [
            'yii\web\JqueryAsset',
        ];
    }
